%fonction permettant d interpoler les points de trajectographie  temps constant


clear all;

%Assemblage des 5 fichiers en un seul
%data=[];
%liste_data=dir('Cachalot*');
%ordre=[1,5,2,3,4];       %ordre invers nom fichier
%c=0;
%for i=ordre
%       temp=load(liste_data(i).name);
%       temp(:,1)=temp(:,1)+(c)*5*60;
%	data=[data;temp];
%	clear temp;
%	c=c+1;
%end

data=load('total_Cachalot1_0-25.txt');   %chargement fichier total
interp_time=5;                           %intervalles  interpoler
ici=load('ICI_total_hydro7.txt');
date=load('date_total_hydro7.txt');
energ=load('ENERG_total_hydro7.txt');


T=1:interp_time:60*25;
%interp en X
X=interp1(data(:,1),data(:,2),T)';
%interp en Y
Y=interp1(data(:,1),data(:,3),T)';
%interp en Z
Z=interp1(data(:,1),data(:,4),T)';
I=interp1(date(1:end-1),ici,T)';
E=interp1(date,energ,T)';
T=T';

data_interp=[T,X,Y,Z,I,E];
%suppression NAN
c=1;
for i=1:size(data_interp,1)
	if sum(isnan(data_interp(i,:)))==0
		data_interp2(c,:)=data_interp(i,:);
		c=c+1;	
	end
end
save('Cachalot_total_interp.txt','data_interp2','-ascii');


%Soustraction des minimas et divis par 2(pour application graphique 3D)
data_interp_minima(:,1)=data_interp2(:,1);
data_interp_minima(:,2)=( data_interp2(:,2)-min(data_interp2(:,2)) )./2;
data_interp_minima(:,3)=( data_interp2(:,3)-min(data_interp2(:,3)) )./2;
data_interp_minima(:,4)=( data_interp2(:,4)-min(data_interp2(:,4)) )./2;
data_interp_minima(:,5)=data_interp2(:,5);
data_interp_minima(:,6)=data_interp2(:,6);
save('Cachalot_3DAPPLET.txt','data_interp_minima','-ascii');


